System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object To be added

Provides a managed way of dynamically viewing, creating or invoking types supported by an XML Web service.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  This method examines the metadata for the XML Web service at the specified URL. If the specified is not supported, it modifies the Web Services Description Language (WSDL) file corresponding to the describing the XML Web service, in order to include that type.

  For more information about Web Services Description Language (WSDL), see the specification at http://www.w3.org/TR/wsdl/.

  Creates a including the specified for the XML Web service at the specified URL.

  The of the class or interface to reflect. The address (URL) of the XML Web service. 1.0.5000.0 2.0.0.0
- Property
  System.Xml.Serialization.XmlSchemas a

  This property is initialized with a of zero. Any members must be explicitly added using the collection's method.

  For more information about Web Services Description Language (WSDL), see the specification at http://www.w3.org/TR/wsdl/.

  Gets a reference to the associated with the XML Web service.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.Services.Description.ServiceDescriptionCollection To be added: an object of type 'ServiceDescriptionCollection'

  This property is initialized with a of zero. Any members must be explicitly added using the collection's method.

  For more information about Web Services Description Language (WSDL), see the specification at http://www.w3.org/TR/wsdl/.

  Gets a reference to the associated with the XML Web service.

  1.0.5000.0
  2.0.0.0